"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigurationEditor = /** @class */ (function () {
    function ConfigurationEditor() {
        this.fontFormat = true;
        this.fontSize = true;
        this.bullet = true;
        this.link = true;
        this.color = true;
        this.background = true;
        this.indent = true;
        this.header = true;
        this.align = true;
        this.image = true;
        this.codeBlock = false;
    }
    ConfigurationEditor.newObject = function () {
        return new ConfigurationEditor();
    };
    ConfigurationEditor.newCustomObject = function (object) {
        var editor = new ConfigurationEditor();
        editor.fontFormat = object["fontFormat"];
        editor.fontSize = object["fontSize"];
        editor.bullet = object["bullet"];
        editor.link = object["link"];
        editor.color = object["color"];
        editor.background = object["background"];
        editor.indent = object["indent"];
        editor.header = object["header"];
        editor.align = object["align"];
        editor.image = object["image"];
        editor.codeBlock = object["codeBlock"];
        return editor;
    };
    return ConfigurationEditor;
}());
exports.ConfigurationEditor = ConfigurationEditor;
//# sourceMappingURL=configuration-editor.js.map